BMFCONV(1)

NAME
bmfconv - Database converter for bmf

SYNOPSIS

bmfconv [-f fmt] [-d db] [-e] [-i] [-v] [-h]

DESCRIPTION

bmfconv converts bmf token databases between the supported formats. It can import flat text files into databases and export databases into flat text files.

PLEASE NOTE that the text files used in import and export operations are read and written in the current directory.

OPTIONS

-f fmt Specify database format. Supported formats are "db" for libdb and "mysql" for MySQL.

-d db Specify database name.

-e Export the database to text files.

-i Import the database from text files.

-v Display version information.

-h Display usage information.

RETURN VALUES

0 if conversion succeeds, nonzero if conversion fails.

FILES

goodlist.txt
    Text file for import or export of good tokens.

spamlist.txt
    Text file for import or export of spam tokens.

BUGS

Should be more robust.

AUTHOR

Tom Marshall <tommy@tig-grr.com>. bmfconv is a part of the bmf package.